Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.results
Class ListResult

    java.lang.Object
      de.jstacs.results.Result
          de.jstacs.results.ListResult

All Implemented Interfaces:
  Storable

    public class ListResult

extends Result

Class for a `Result` that contains a list or a matrix, respectively, of `ResultSet`s. This class provides a way to build a hierarchy of `Result`s and `ResultSet`s, or to create multi-dimensional `Result`.

Author:
  Jan Grau, Jens Keilwagen

Field Summary
`protected ResultSet[]` | `list` The internal list of `ResultSet`s that are part of this `ListResult`

Fields inherited from class de.jstacs.results.Result
`comment, datatype, name`

Constructor Summary
`ListResult(StringBuffer representation)` The standard constructor for the interface `Storable`.
`ListResult(String name, String comment, ResultSet annotation, ResultSet... results)` Creates a new `ListResult` from an array of `ResultSet`s and a `ResultSet` of annotations, which may provide additional information on this `ListResult`.

Method Summary
`protected void` | `fromXML(StringBuffer representation)` This method is used in `Result.Result(StringBuffer)` to extract the information.
`ResultSet` | `getAnnotation()` Returns a reference to the annotation of this `ListResult`.
`ResultSet[]` | `getRawResult()` Returns a copy of the internal list of `ResultSet`s.
`ResultSet[]` | `getResult()` Returns the value of the `Result`.
`void` | `print(PrintWriter writer)` Prints the information of this `ListResult` to the provided `PrintWriter`.
`ListResult` | `sort(String columnName)` This method enables you to sort the entries of this container by a specified column.
`String` | `toString()`
`StringBuffer` | `toXML()` This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

Methods inherited from class de.jstacs.results.Result
`appendMainInfo, checkDatatype, createResult, extractMainInfo, getComment, getDatatype, getName, isCastableResult, isComparableResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### list

    protected ResultSet[] list

  The internal list of `ResultSet`s that are part of this `ListResult`

Constructor Detail

### ListResult

    public ListResult(String name,
                      String comment,
                      ResultSet annotation,
                      ResultSet... results)

  Creates a new `ListResult` from an array of `ResultSet`s and a `ResultSet` of annotations, which may provide additional information on this `ListResult`.

  Parameters:
    `name` - the name of the `ListResult`
    `comment` - the comment on the `ListResult`
    `annotation` - an annotation on this `ListResult`
    `results` - the array of `ResultSet`s

### ListResult

    public ListResult(StringBuffer representation)
               throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `ListResult` from the corresponding XML representation.

  Parameters:
    `representation` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `StringBuffer` `representation` could not be parsed

Method Detail

### getResult

    public ResultSet[] getResult()

  Description copied from class: `Result`
  Returns the value of the `Result`.

  Specified by:
    `getResult` in class `Result`
  Returns:
    the value of the `Result`

### getRawResult

    public ResultSet[] getRawResult()

  Returns a copy of the internal list of `ResultSet`s. The references to the `ResultSet`s in the array are not cloned.

  Returns:
    the internal list of `ResultSet`s

### getAnnotation

    public ResultSet getAnnotation()

  Returns a reference to the annotation of this `ListResult`.

  Returns:
    the annotation of this `ListResult`

### toXML

    public StringBuffer toXML()

  Description copied from interface: `Storable`
  This method returns an XML representation as `StringBuffer` of an instance of the implementing class.

  Returns:
    the XML representation

### fromXML

    protected void fromXML(StringBuffer representation)
                    throws NonParsableException

  Description copied from class: `Result`
  This method is used in `Result.Result(StringBuffer)` to extract the information. The method can be seen as opposite of `Storable.toXML()` and should not be made public.

  Specified by:
    `fromXML` in class `Result`
  Parameters:
    `representation` - the XML represenation of the `Result` to be parsed
  Throws:
    `NonParsableException` - if the XML representation is not parsable
  See Also:
    `Result.extractMainInfo(StringBuffer)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### print

    public void print(PrintWriter writer)

  Prints the information of this `ListResult` to the provided `PrintWriter`.

  Parameters:
    `writer` - the `PrintWriter`

### sort

    public ListResult sort(String columnName)
                    throws IllegalArgumentException

  This method enables you to sort the entries of this container by a specified column.

  Parameters:
    `columnName` - the name of the column to be sorted
  Returns:
    a new `ListResult`, where the entries of the specified column are sorted
  Throws:
    `IllegalArgumentException` - if not all entries have a column with this name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD